Site nav items
Items in the navigation bar of a site
The site nav item object
Attributes
iduuidUnique identifier
site_page_iduuid | nullIdentifier of the related page. Only applies when type is internal
created_atread-onlytimestamp with time zoneCreation timestamp
labelMultiLanguageStringLocalized label of the navigation item
orderintegerOrder of the navigation item as displayed on the site
targetSiteNavItemTargetWhere the link opens: _self or _blank
urlMultiLanguageStringLocalized URL of the navigation item. Only applies when type is external
Related resources
Embed related resources in the response with the select parameter, for example select=*,site_pages(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"parent_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"site_page_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"label": {},
"order": 0,
"target": "_self",
"url": {}
}curl -X GET "https://api.bookingmood.com/v1/site_nav_items?limit=10&select=*,site_pages(*),sites(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List site nav items
Filters
idFilter<uuid>Unique identifier
site_page_idFilter<uuid | null>Identifier of the related page. Only applies when type is internal
created_atFilter<timestamp with time zone>Creation timestamp
labelFilter<MultiLanguageString>Localized label of the navigation item
orderFilter<integer>Order of the navigation item as displayed on the site
targetFilter<SiteNavItemTarget>Where the link opens: _self or _blank
urlFilter<MultiLanguageString>Localized URL of the navigation item. Only applies when type is external
Responses
200A list of site nav items with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /site_nav_itemscurl -X GET "https://api.bookingmood.com/v1/site_nav_items?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"parent_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"site_page_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"label": {},
"order": 0,
"target": "_self",
"url": {}
}
]Create site nav items
Body
Partial<SiteNavItem> | Array<Partial<SiteNavItem>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created site nav items with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /site_nav_itemscurl -X POST "https://api.bookingmood.com/v1/site_nav_items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"label": {},
"order": 0,
"site_id": "00000000-0000-0000-0000-000000000000",
"target": "_self",
"url": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"parent_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"site_page_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"label": {},
"order": 0,
"target": "_self",
"url": {}
}
]Delete site nav items
Filters
Without filters, this request deletes all site nav items you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
site_page_idFilter<uuid | null>Identifier of the related page. Only applies when type is internal
created_atFilter<timestamp with time zone>Creation timestamp
labelFilter<MultiLanguageString>Localized label of the navigation item
orderFilter<integer>Order of the navigation item as displayed on the site
targetFilter<SiteNavItemTarget>Where the link opens: _self or _blank
urlFilter<MultiLanguageString>Localized URL of the navigation item. Only applies when type is external
Responses
200The deleted site nav items with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /site_nav_itemscurl -X DELETE "https://api.bookingmood.com/v1/site_nav_items?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"parent_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"site_page_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"label": {},
"order": 0,
"target": "_self",
"url": {}
}
]Update site nav items
Filters
Without filters, this request updates all site nav items you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
site_page_idFilter<uuid | null>Identifier of the related page. Only applies when type is internal
created_atFilter<timestamp with time zone>Creation timestamp
labelFilter<MultiLanguageString>Localized label of the navigation item
orderFilter<integer>Order of the navigation item as displayed on the site
targetFilter<SiteNavItemTarget>Where the link opens: _self or _blank
urlFilter<MultiLanguageString>Localized URL of the navigation item. Only applies when type is external
Body
Partial<SiteNavItem>Read-only attributes are set by the database and can't be written.
Responses
200The updated site nav items with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /site_nav_itemscurl -X PATCH "https://api.bookingmood.com/v1/site_nav_items?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"label": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"parent_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"site_page_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"label": {},
"order": 0,
"target": "_self",
"url": {}
}
]